<!-- index.php -->
<!DOCTYPE html>

<?php 
if(isset($_POST['name'])) $name = $_POST['name'];
if(isset($_POST['code'])) $code = $_POST['code'];
if(!isset($name) && isset($code)) die('Invalid request');
if(isset($name) && !isset($code)) $code = "";

$dbhost="localhost";
$dbuser = "root";
$dbpass = null;
$dbname = "tadasnippets";

$conn = mysqli_connect($dbhost, $dbuser, $dbpass);
if (!$conn) die("Connection failed: " . mysqli_connect_error());

mysqli_select_db($conn, $dbname) || die('Corrupted database: ' . mysqli_error($conn));

if(isset($name)){
  $query = "INSERT INTO snippets(name,code) VALUES ('" . mysqli_real_escape_string($conn,$name) . "','" . mysqli_real_escape_string($conn,$code) . "');";
  $res = mysqli_query($conn, $query);
  if(!$res) die('Invalid query'); //die('Invalid query: ' . mysqli_error($conn)); // <-- ERROR HIDING
  echo "New snippet added.<br/>";
}

$query="SELECT name FROM snippets;";
$res = mysqli_query($conn, $query);
if(!$res) die('Invalid query'); //die('Invalid query: ' . mysqli_error($conn)); // <-- ERROR HIDING

?>

<html>
<body>

<img src="tada.png" alt="TA DA!" height="200"> 
<h1>Hosted snippets</h1>
<p>Choose the code snippet you need and click it to view</p>

<?php

// Displaying the results.
if(mysqli_num_rows($res) === 0) {
  echo "(no snippets)";
}
else {
?>
<div><table><thead>
<tr><th scope="col">Snippet name</th></tr>
</thead>
<tbody>
<?php
  while ($row = mysqli_fetch_assoc($res)) {
    echo "<tr><div class=\"row\">\n";
    echo "<td><a href=\"view.php?name=" . urlencode($row['name']) . "\">" . htmlspecialchars($row['name']) . "</a></td>\n";
    echo "</div></tr>\n";
  }
  echo "</tbody></table></div>\n";
}

mysqli_free_result($res);
mysqli_close($conn);
?>

<form action="index.php" method="post">
If you are skilled in a particular programming language, add a new snippet to the collection <br/>
Name (must be unique): <input type="text" name="name" value=""><br/>
Code: <textarea rows="5" cols="60" name="code" placeholder="Enter code here!"></textarea><br/>
<input type="submit" value="add snippet">
</form>

</body>
</html>
